## debian-plymouth-manager 2.4.0

=== po/Makefile ===
#!/usr/bin/make -f

package=debian-plymouth-manager

.PHONY: all build clean update

all: build

# create mo from the po files
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(package).mo

# generate all *.mo files
build: update $(patsubst %.po,%.mo,$(wildcard *.po))

clean:
	rm -rf mo

# update *.pot and merge updates into *.po files
update:
	# update template.pot
	@ xgettext \
		--keyword=_ \
		--language=Python \
		--output=$(package).pot \
		--package-name=$(package) \
		--package-version='' \
		--from-code=UTF-8 \
		`find .. -wholename ../debian -prune -o -name '*.py' | grep .py` && echo OK
	# get strings from the desktop file
	@ for LAUNCHER in `find .. -name '*.desktop'`; do \
		sed -r \
			-e '/^(Name|Comment|GenericName|Keywords)\[/d' \
			-e 's/^(Comment=|Name=|GenericName=|Keywords=)/_\1/' \
			$$LAUNCHER > $$LAUNCHER.in ; \
		intltool-extract --type=gettext/ini $$LAUNCHER.in ; \
		xgettext \
			--join-existing \
			--keyword=N_:1 \
			--output $(package).pot \
			$$LAUNCHER.in.h ; \
	done && echo OK
	# merge new strings with translations
	@ for POFILE in $(wildcard *.po); do \
		msgmerge --quiet --backup=none --update $$POFILE $(package).pot ; \
	done && echo OK
	# apply desktop file modifications
	@ for LAUNCHER in `find .. -name '*.desktop'`; do \
		intltool-merge --quiet --desktop-style . $$LAUNCHER.in $$LAUNCHER ; \
		rm $$LAUNCHER.in.h $$LAUNCHER.in ; \
	done && echo OK

=== debian/changelog ===
debian-plymouth-manager (2.4.0-1mx150+1) mx; urgency=medium

  * Port over to MX 15 repo.
  * Add no-pull-from-transifex.patch.
  * Disable transifex-client as build-dep.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 19 Jan 2016 15:00:45 -0800

debian-plymouth-manager (2.4.0) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 18 Jan 2016 18:00:00 +0100

debian-plymouth-manager (2.3.9) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 11 Dec 2015 10:00:00 +0100

debian-plymouth-manager (2.3.8) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 26 Nov 2015 12:00:00 +0100

debian-plymouth-manager (2.3.6) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 19 Oct 2015 07:00:00 +0100

debian-plymouth-manager (2.3.5) debian; urgency=low

  * Improved localization handling

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 22 June 2015 12:00:00 +0100

debian-plymouth-manager (2.3.4) debian; urgency=low

  * Added KCM launcher for System Settings

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 08 May 2015 17:00:00 +0100

debian-plymouth-manager (2.3.3) debian; urgency=low

  * Added X-XFCE-SettingsDialog;X-XFCE-SystemSettings; to launcher
  * French translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 06 May 2015 15:00:00 +0100

debian-plymouth-manager (2.3.2) debian; urgency=low

  * Fix gettext bug

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 29 Apr 2015 18:00:00 +0100

debian-plymouth-manager (2.3.1) debian; urgency=low

  * Adapted for Jessie Plymouth

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 10 Feb 2015 10:00:00 +0100

debian-plymouth-manager (2.3.0) debian; urgency=low

  * Added plymouth-themes as a dependency

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 27 Jan 2015 13:00:00 +0100

debian-plymouth-manager (2.2.9) debian; urgency=low

  * Converted to Gtk+ / Python3

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 22 Dec 2014 18:00:00 +0100

debian-plymouth-manager (2.2.6) debian; urgency=low

  * Improved translation handling
  * Gtk2 bug solved

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 02 Nov 2014 11:00:00 +0100

debian-plymouth-manager (2.2.5) debian; urgency=low

  * Changed icon to use with the Evolvere icon theme

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 12 Sep 2014 15:00:00 +0100

debian-plymouth-manager (2.2.4) debian; urgency=low

  * Skip update-initramfs when removing Plymouth theme: only update-grub

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 27 Aug 2014 20:00:00 +0100

debian-plymouth-manager (2.2.3) debian; urgency=low

  * Removed some dependencies

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 19 Aug 2014 12:00:00 +0100

debian-plymouth-manager (2.2.2) debian; urgency=low

  * Moved locale to solydxk-locale

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 26 May 2014 08:00:00 +0100

debian-plymouth-manager (2.2.1) debian; urgency=low

  * Resolved bug not starting

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 05 May 2014 22:00:00 +0100

debian-plymouth-manager (2.2.0) debian; urgency=low

  * Resolved untranslatable labels

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 22 Apr 2014 11:00:00 +0100

debian-plymouth-manager (2.1.9) debian; urgency=low

  * Added Russian translation
  * Adapted Dutch translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 01 Apr 2014 18:00:00 +0100

debian-plymouth-manager (2.1.7) debian; urgency=low

  * Changed driver to uvesafb

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 11 Mar 2014 18:00:00 +0100

debian-plymouth-manager (2.1.6) debian; urgency=low

  * Added Czech translation
  * Adapted Italian translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 24 Dec 2013 12:00:00 +0100

debian-plymouth-manager (2.1.5) debian; urgency=low

  * Adapted French translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 21 Oct 2013 19:00:00 +0100

debian-plymouth-manager (2.1.4) debian; urgency=low

  * Added Greek translation
    provided by Stelios

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 03 Oct 2013 11:00:00 +0100

debian-plymouth-manager (2.1.3) debian; urgency=low

  * Added French translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 07 Sep 2013 22:30:00 +0100
 

debian-plymouth-manager (2.1.2) debian; urgency=low

  * Grub section not showing resolutions

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 06 Jul 2013 18:00:00 +0100

debian-plymouth-manager (2.1.1) debian; urgency=low

  * Added German translation
  * Make GUI objects size with textual contents
  * Changed resolutions from Vesa safe to Xrandr

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 12 Jun 2013 15:00:00 +0100

debian-plymouth-manager (2.0.9) debian; urgency=low

  * Added Catalan translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 05 Jun 2013 19:00:00 +0100

debian-plymouth-manager (2.0.8) debian; urgency=low

  * Moved translations to standard directory /usr/share/locale

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 06 Jun 2013 10:00:00 +0100

debian-plymouth-manager (2.0.7) debian; urgency=low

  * Included Spanish and Dutch translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 29 May 2013 20:00:00 +0100

debian-plymouth-manager (2.0.5) debian; urgency=low

  * Grub settings were not saved

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 21 May 2013 10:00:00 +0100

debian-plymouth-manager (2.0.4) debian; urgency=low

  * No resolutions listed whith v86d driver

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 05 May 2013 20:00:00 +0100

debian-plymouth-manager (2.0.3) debian; urgency=low

  * Some minor bugs resolved

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 03 Apr 2013 11:30:00 +0100



=== debian/control ===
Source: debian-plymouth-manager
Section: admin
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Arjen Balfoort <arjenbalfoort@solydxk.com>
Build-Depends: debhelper (>= 9)
  , python3 (>= 3.2)
  , intltool
#  , transifex-client
  , translate-toolkit
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Vcs-Git: git@github.com:SolydXK/debian-plymouth-manager.git
Vcs-Browser: https://github.com/SolydXK/debian-plymouth-manager

Package: debian-plymouth-manager
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
  , python3
  , python3-gi
  , gir1.2-gtk-3.0
  , plymouth
  , hwinfo
Conflicts: solydxk-locale
Replaces: solydxk-locale
Recommends: plymouth-themes
Description: Debian Plymouth Manager.
